=== modified file 'ArticleViewItem.qml'
--- ArticleViewItem.qml	2014-12-11 21:18:56 +0000
+++ ArticleViewItem.qml	2014-12-12 06:51:50 +0000
@@ -74,14 +74,15 @@
             topMargin: units.gu(1)
         }
 
+        model: articleModel
+        delegate: xmlDelegate
         snapMode: ListView.SnapOneItem
         cacheBuffer: 90 // value in pixels, for what?
         // boundsBehavior: Flickable.StopAtBounds
         orientation: ListView.Horizontal
         contentHeight: parent.width * count
-        model: articleModel
-        delegate: xmlDelegate
         highlightFollowsCurrentItem: true
+        highlightMoveVelocity: 1000
         highlightRangeMode: ListView.StrictlyEnforceRange
         clip: true
 

=== modified file 'ListModePage.qml'
--- ListModePage.qml	2014-12-11 21:18:56 +0000
+++ ListModePage.qml	2014-12-12 06:51:50 +0000
@@ -188,7 +188,7 @@
                     onClicked: {
                         if (mainView.isTabletMode)
                             pageItself.showArticle(model.index)
-                        else mainView.toRssPage(listViewModel, model.index)
+                        else mainView.showArticle(listViewModel, model.index)
                     }
                 }
             }

=== modified file 'NetworkManager.qml'
--- NetworkManager.qml	2014-12-11 21:18:56 +0000
+++ NetworkManager.qml	2014-12-12 06:51:50 +0000
@@ -10,155 +10,153 @@
 import "./dateutils.js" as DateUtils
 
 Item {
-    id: xmlNetworkItem
+    id: networkManagerRoot
 
     signal downloadFinished(int tagId)
-    signal downloadStarted()
+    signal downloadStarted(int tagId)
 
     property string operationStatus: "success"
 
-    property var __feedList: []                 // Feed list to update.
-    property var __currentFeed                  // Current downloading feed.
-    property int __tagId: 0                     // Tag to update.
-
-    /* Method updates feeds one by another.
-     * Input: array of objects, each should include
-     * source, link and id (of feed in DB) properties.
-     */
     function updateFeeds(feedsArray, topicId) {
-        __tagId = topicId || 0
-
-        downloadStarted()
-
-        __feedList = feedsArray
-        operationStatus = "success"
-        updateNextFeed()
-    }
-
-    // For inner usage only.
-    function updateNextFeed() {
-        if (__feedList.length == 0) {
-            downloadFinished(__tagId)
-            return
-        }
-
-        __currentFeed = __feedList.shift()
-        googleFeedApi.loadFeed(__currentFeed.source)
-    }
-
-    function cancelDownload() {
-        __feedList = []
-        operationStatus = "abort"
-        googleFeedApi.abort()
-    }
-
-    /* Temporary here - TODO move to separate file.
+        d.updateFeeds(feedsArray, topicId)
+    }
+
+    /* All private method are inside QtObject.
      */
-    function updateFeedInfo(feedId, feedLink, responseData) {
-        var entries = responseData.feed.entries
-        var f = responseData.feed
-
-        DB.updateFeedByXml(feedId, f.feedUrl === f.link ? feedLink : f.link, // Sometimes google fails and sends site link equal to feed url.
-                                                          f.description, f.title)
-        console.log(" -------- UPDATE INFO -------- ")
-        console.log(f.title, f.link, f.feedUrl, f.description)
-
-        // Save some needed properties before clear articles, currently only status.
-        var articleProperties = []
-        var articlePropertiesDb = DB.preloadArticlesProperties(feedId)
-        for (var j = 0; j < articlePropertiesDb.rows.length; j++) {
-            var itm = articlePropertiesDb.rows.item(j)
-            articleProperties.push({ "guid" : itm.guid, "status" : itm.status })
-        }
-
-        DB.clearArticles(feedId)
-
-        var articleModel = []
-        for (var i = 0; i < entries.length; i++) {
-            var e = entries[i]
-
-            // Grab image from for article.
-            var articleImage = grabArticleImage(e)
-            e.content = clearFromBadTags(e.content)
-
-            var temp =
-                    {
-                "title": e.title,
-                "content": e.content,
-                "link": e.link,
-                "author": e.author,
-                "description": e.contentSnippet,
-                "pubDate": DateUtils.parseDate(e.publishedDate),
-                "guid": Qt.md5(e.content + e.publishedDate),
-                "image" : articleImage,
-                "media_groups" : e.mediaGroups //== undefined ? "" : JSON.stringify(e.mediaGroups),
-            }
-
-            articleModel.push(temp)
-        }
-
-        /* Add new articles to DB and restore 'read' status of some of them.
-         */
-        DB.addArticles(articleModel, feedId, articleProperties);
-    }
-
-    // Not naive anymore :)
-    function grabArticleImage(e) {
-        if (e.mediaGroups) {
-            var medias = e.mediaGroups
-            for (var i = 0; i < medias.length; i++) {
-                var media = medias[i]
-
-                for (var j = 0; j < media.contents.length; j++) {
-                    var cont = media.contents[j]
-
-                    if (cont.type === "image/jpeg" || cont.type === "image/png" ||
-                            cont.type === "image/jpeg" || cont.type === "image/pjpeg" ||
-                            cont.type === "image/svg+xml" || cont.medium === "image") {
-                        return cont.url
+    QtObject {
+        id: d
+
+        property var feedList: []                 // Feed list to update.
+        property var currentFeed                  // Current downloading feed.
+        property int tagId: 0                     // Tag to update.
+
+        /* Method updates feeds one by another.
+         * Input: array of objects, each should include
+         * source, link and id (of feed in DB) properties.
+         */
+        function updateFeeds(feedsArray, topicId) {
+            tagId = topicId || 0
+
+            downloadStarted(tagId)
+
+            feedList = feedsArray
+            operationStatus = "success"
+            updateNextFeed()
+        }
+
+        // For inner usage only.
+        function updateNextFeed() {
+            if (feedList.length == 0) {
+                downloadFinished(tagId)
+                return
+            }
+
+            currentFeed = feedList.shift()
+            googleFeedApi.loadFeed(currentFeed.source)
+        }
+
+        function cancelDownload() {
+            feedList = []
+            operationStatus = "abort"
+            googleFeedApi.abort()
+        }
+
+        /* Temporary here - TODO move to separate file.
+         */
+        function updateFeedInfo(feedId, feedLink, responseData) {
+            var entries = responseData.feed.entries
+            var f = responseData.feed
+
+            DB.updateFeedByXml(feedId, f.feedUrl === f.link ? feedLink : f.link, // Sometimes google fails and sends site link equal to feed url.
+                                                              f.description, f.title)
+            console.log(" -------- UPDATE INFO -------- ")
+            console.log(f.title, f.link, f.feedUrl, f.description)
+
+            // Save some needed properties before clear articles, currently only status.
+            var articleProperties = []
+            var articlePropertiesDb = DB.preloadArticlesProperties(feedId)
+            for (var j = 0; j < articlePropertiesDb.rows.length; j++) {
+                var itm = articlePropertiesDb.rows.item(j)
+                articleProperties.push({ "guid" : itm.guid, "status" : itm.status })
+            }
+
+            DB.clearArticles(feedId)
+
+            var articleModel = []
+            for (var i = 0; i < entries.length; i++) {
+                var e = entries[i]
+
+                // Grab image from for article.
+                var articleImage = grabArticleImage(e)
+                e.content = clearFromBadTags(e.content)
+
+                var temp =
+                        {
+                    "title": e.title,
+                    "content": e.content,
+                    "link": e.link,
+                    "author": e.author,
+                    "description": e.contentSnippet,
+                    "pubDate": DateUtils.parseDate(e.publishedDate),
+                    "guid": Qt.md5(e.content + e.publishedDate),
+                    "image" : articleImage,
+                    "media_groups" : e.mediaGroups //== undefined ? "" : JSON.stringify(e.mediaGroups),
+                }
+
+                articleModel.push(temp)
+            }
+
+            /* Add new articles to DB and restore 'read' status of some of them.
+             */
+            DB.addArticles(articleModel, feedId, articleProperties);
+        }
+
+        // Not naive anymore :)
+        function grabArticleImage(e) {
+            if (e.mediaGroups) {
+                var medias = e.mediaGroups
+                for (var i = 0; i < medias.length; i++) {
+                    var media = medias[i]
+
+                    for (var j = 0; j < media.contents.length; j++) {
+                        var cont = media.contents[j]
+
+                        if (cont.type === "image/jpeg" || cont.type === "image/png" ||
+                                cont.type === "image/jpeg" || cont.type === "image/pjpeg" ||
+                                cont.type === "image/svg+xml" || cont.medium === "image") {
+                            return cont.url
+                        }
                     }
                 }
             }
-        }
-        // console.log("getFirstImage")
-        // console.log(e.content)
-        var image = ImageUtils.getFirstImage(e.content)
-        if (image != null) {
-            return image
-        }
-
-        return null
-    }
-
-    function clearFromBadTags(content) {
-        /* Remove non empty too. Useless anyway.
-         */
-        content = content.replace(/alt=".*?"/g, "")
-        content = content.replace(/title=".*?"/g, "")
-        return content
-    }
-
-    // -------------------------------------------------------
-
-    // -------------------------------------       GOOGLE API
-
-    Connections {
-        target: googleFeedApi
-
-        onLoadResult: {
-            if (result.responseStatus !== 200) {
-                console.log("XML NETWORK GFA:", JSON.stringify(result))
-                if (operationStatus == "success")
-                    operationStatus = "withErrors"
-            } else updateFeedInfo(__currentFeed.id, __currentFeed.link, result.responseData)
-
-            updateNextFeed()
-        }
-    }
-
-    GoogleFeedApi {
-        id: googleFeedApi
-    }
-
-    // -------------------------------------       GOOGLE API
+            // console.log("getFirstImage")
+            // console.log(e.content)
+            var image = ImageUtils.getFirstImage(e.content)
+            if (image != null) {
+                return image
+            }
+
+            return null
+        }
+
+        function clearFromBadTags(content) {
+            /* Remove non empty too. Useless anyway.
+             */
+            content = content.replace(/alt=".*?"/g, "")
+            content = content.replace(/title=".*?"/g, "")
+            return content
+        }
+
+        property var googleFeedApi: GoogleFeedApi {
+            onLoadResult: {
+                if (result.responseStatus !== 200) {
+                    console.log("XML NETWORK GFA:", JSON.stringify(result))
+                    if (operationStatus == "success")
+                        operationStatus = "withErrors"
+                } else d.updateFeedInfo(d.currentFeed.id, d.currentFeed.link, result.responseData)
+
+                d.updateNextFeed()
+            }
+        } // GFA
+    } // QtObject
 }

=== modified file 'SavedTab.qml'
--- SavedTab.qml	2014-12-11 20:36:54 +0000
+++ SavedTab.qml	2014-12-12 06:51:50 +0000
@@ -15,7 +15,8 @@
     page: Page {
         id: contentPage
 
-        tools: mainCommonToolbar
+        //tools: mainCommonToolbar
+        head.actions: pageStack.commonHeadActions
 
         ListModePage {
             id: listPage

=== modified file 'ShortsTab.qml'
--- ShortsTab.qml	2014-12-11 20:36:54 +0000
+++ ShortsTab.qml	2014-12-12 06:51:50 +0000
@@ -16,7 +16,8 @@
     page: Page {
         id: contentPage
 
-        tools: mainCommonToolbar
+        // tools: mainCommonToolbar
+        head.actions: pageStack.commonHeadActions
 
         ListModePage {
             id: listPage

=== modified file 'TopicTab.qml'
--- TopicTab.qml	2014-12-11 20:36:54 +0000
+++ TopicTab.qml	2014-12-12 06:51:50 +0000
@@ -16,7 +16,8 @@
     page: Page {
         id: contentPage
 
-        tools: mainCommonToolbar
+        // tools: mainCommonToolbar
+        head.actions: pageStack.commonHeadActions
 
         ListModePage {
             id: listPage

=== modified file 'article_items/ArticleFullImg.qml'
--- article_items/ArticleFullImg.qml	2014-09-28 09:53:39 +0000
+++ article_items/ArticleFullImg.qml	2014-12-12 06:51:50 +0000
@@ -141,7 +141,7 @@
     MouseArea {
         anchors.fill: parent
         onClicked: {
-            mainView.toRssPage(rssModel, modelIndex)
+            mainView.showArticle(rssModel, modelIndex)
         }
     }
 }

=== modified file 'article_items/ArticleOneImgA.qml'
--- article_items/ArticleOneImgA.qml	2014-12-11 20:36:54 +0000
+++ article_items/ArticleOneImgA.qml	2014-12-12 06:51:50 +0000
@@ -137,7 +137,7 @@
     MouseArea {
         anchors.fill: parent
         onClicked: {
-            mainView.toRssPage(rssModel, modelIndex)
+            mainView.showArticle(rssModel, modelIndex)
         }
     }
 }

=== modified file 'article_items/ArticleTextA.qml'
--- article_items/ArticleTextA.qml	2014-09-20 16:52:51 +0000
+++ article_items/ArticleTextA.qml	2014-12-12 06:51:50 +0000
@@ -96,7 +96,7 @@
     MouseArea {
         anchors.fill: parent
         onClicked: {
-            mainView.toRssPage(rssModel, modelIndex)
+            mainView.showArticle(rssModel, modelIndex)
         }
     }
 }

=== modified file 'article_items/ArticleTextB.qml'
--- article_items/ArticleTextB.qml	2014-09-20 16:52:51 +0000
+++ article_items/ArticleTextB.qml	2014-12-12 06:51:50 +0000
@@ -94,7 +94,7 @@
     MouseArea {
         anchors.fill: parent
         onClicked: {
-            mainView.toRssPage(rssModel, modelIndex)
+            mainView.showArticle(rssModel, modelIndex)
         }
     }
 }

=== modified file 'feeds/TopicComponent.qml'
--- feeds/TopicComponent.qml	2014-09-20 10:51:29 +0000
+++ feeds/TopicComponent.qml	2014-12-12 06:51:50 +0000
@@ -335,7 +335,7 @@
 
                     onClicked:
                     {
-                        mainView.toEditFeed(model.id, model.title, model.source, delegateFeed.topicId) ;
+                        mainView.editFeed(model.id, model.title, model.source, delegateFeed.topicId) ;
                     }
 
                     onReleased: {

=== modified file 'shorts-app.qml'
--- shorts-app.qml	2014-12-11 21:18:56 +0000
+++ shorts-app.qml	2014-12-12 06:51:50 +0000
@@ -10,7 +10,6 @@
 import "./imgSeparator.js" as ImageUtils
 
 MainView {
-    // objectName for functional testing purposes (autopilot-qt5)
     id: mainView
 
     property bool isTabletMode: false // Disabled for now.
@@ -28,6 +27,7 @@
 
     width: units.gu(100)
     height: units.gu(80)
+    focus: true
 
     useDeprecatedToolbar: false
 
@@ -37,9 +37,8 @@
 
     Component.onCompleted: {
 
-        // update database if the db scheme is old
-        // if (dbversion < latestDBVersion) function updateDB()
-        var dbv = Number(optionsKeeper.dbVersion())
+        // Update database if the db scheme is old.
+        var dbv = parseFloat(optionsKeeper.dbVersion())
         console.log("db version: " , dbv)
         if (dbv < latestDBVersion) {
             if (DB.updateDatabase(dbv)) {
@@ -51,7 +50,7 @@
             }
         }
 
-        //////////////////////////////////////////////////////////////  below DB operation is for avoid empty db
+        // Filling DB with default data.
         //DB.dropTable()
         var result = DB.feedsCount()
 
@@ -102,11 +101,25 @@
         else feeds = DB.loadFeeds()
 
         var feedarray = []
-        for (var i=0; i< feeds.rows.length; i++)
-        {
+        for (var i=0; i< feeds.rows.length; i++) {
             feedarray.push(feeds.rows.item(i))
         }
-        xmlnetwork.updateFeeds(feedarray, topicId)
+        networkManager.updateFeeds(feedarray, topicId)
+    }
+
+    function reloadViews(tagId) {
+        // savedTab.reload() // Doesn't change with network update.
+        tagId = tagId || 0
+
+        if (tagId == 0 || !repeater.containsTopic(tagId)) {
+            shortsTab.reload()
+            repeater.reloadTabs()
+        } else {
+            shortsTab.reload()
+            repeater.reloadOneTopic(tagId)
+        }
+
+        tabstabs.selectTopic(tagId)
     }
 
     // refresh "Saved" Tab
@@ -114,13 +127,12 @@
         savedTab.reload()
     }
 
-    function toRssPage(model, index) {      //   go to single article page
-        feedPage.setFeed(model, index)
-        pageStack.push(feedPage)
+    function showArticle(model, index) {      //   go to single article page
+        articlePage.setFeed(model, index)
+        pageStack.push(articlePage)
     }
 
-    function toEditFeed(feedid, title, url, pTopicId)
-    {
+    function editFeed(feedid, title, url, pTopicId) {
         editFeed.setValues(feedid, title, url, pTopicId) ;
         pageStack.push(editFeed) ;
     }
@@ -130,18 +142,22 @@
         repeater.changeTopicName(topicId, newName)
     }
 
-    focus: true
+    /* -------------------------- Visuals ---------------------------- */
 
     PageStack {
         id: pageStack
-
         objectName: "pageStack"
 
         property bool isListView: optionsKeeper.useListMode()
+        property var commonHeadActions: [refreshAction, changeModeAction, addReadsAction, editTopicsAction]
 
         anchors.fill: parent
-
         focus: true
+
+        Component.onCompleted: {
+            push(tabstabs)
+        }
+
         Keys.onPressed: {
             console.log(objectName, event.key.toString(16), event.modifiers.toString(16))
 
@@ -167,22 +183,18 @@
                     } else if (event.key === Qt.Key_N) {
                         pageStack.push(appendFeedPage, {"isDirty" : true})
                     } else if (event.key === Qt.Key_R) {
-                        refreshAction.performWork()
+                        refresh()
                     }
                 }
-            } else if (currentPage == feedPage) {
+            } else if (currentPage == articlePage) {
                 if (event.key == Qt.Key_Left) {
-                    feedPage.showPrevArticle()
+                    articlePage.articleView.showPrevArticle()
                 } else if (event.key == Qt.Key_Right) {
-                    feedPage.showNextArticle()
+                    articlePage.articleView.showNextArticle()
                 }
             }
         }
 
-        Component.onCompleted: {
-            push(tabstabs)
-        }
-
         onCurrentPageChanged: {
             if (currentPage != null) {
                 if (currentPage.reloadPageContent)
@@ -191,17 +203,13 @@
         }
 
         /* -------------------------- Actions ---------------------------- */
+
         Action {
             id: refreshAction
 
             text:  i18n.tr("Refresh")
             iconSource: Qt.resolvedUrl("./icons_tmp/reload.svg")
-            onTriggered: performWork()
-
-            function performWork() {
-                refresh()
-                //mainCommonToolbar.opened = false
-            }
+            onTriggered: refresh()
         }
 
         Action {
@@ -212,7 +220,6 @@
                 pageStack.isListView = !pageStack.isListView
                 optionsKeeper.setUseListMode(pageStack.isListView)
 
-                //mainCommonToolbar.opened = false
 
                 /* Spike solution for bug: https://bugs.launchpad.net/ubuntu-rssreader-app/+bug/1214916
                                  * If we switched to grid, manually cause header return.
@@ -241,10 +248,6 @@
         Action {
             id: addReadsAction
             iconSource: Qt.resolvedUrl("./icons_tmp/add.svg")
-//            text:  i18n.tr("Add reads")
-//            onTriggered: {
-//                PopupUtils.open(addReadsPopoverComp, addReadsBtn)
-//            }
             text: i18n.tr("Add feeds")
             onTriggered: {
                 /* When we want to show "Append feed" page from
@@ -261,39 +264,11 @@
             text:  i18n.tr("Edit topics")
             iconSource: Qt.resolvedUrl("./icons_tmp/edit.svg")
             onTriggered: {
-                pageStack.push(topicManagement) ;
+                pageStack.push(topicManagement)
             }
         }
 
-        /* -------------------------- Toolbars ---------------------------- */
-
-
-        ToolbarItems {
-            id: mainCommonToolbar
-
-            /*back: */ToolbarButton {
-                objectName: "rsspagerefreshbutton"
-                action: refreshAction
-            }
-
-            ToolbarButton {
-                objectName: "changemodebutton"
-                action: changeModeAction
-            }
-
-            ToolbarButton {
-                id: addReadsBtn
-                objectName: "addreadsbutton"
-                action: addReadsAction
-            }
-
-            ToolbarButton {
-                objectName: "edittopicsbutton"
-                action: editTopicsAction
-            }
-        } // ToolBarItems
-
-        // ************************************************************* ////////////////////////////////////
+        /* -------------------------- Pages & Tabs ---------------------------- */
 
         Tabs {
             id: tabstabs
@@ -301,6 +276,10 @@
             objectName: "tabstabs"
             visible: false
 
+            Component.onCompleted: {
+                selectedTabIndex = 1
+            }
+
             onSelectedTabIndexChanged: {
                 // console.log("onSelectedTabIndexChanged", selectedTabIndex)
                 if (selectedTabIndex <= 1)
@@ -308,10 +287,6 @@
                 repeater.itemAt(selectedTabIndex - 2).showContent()
             }
 
-            Component.onCompleted: {
-                selectedTabIndex = 1
-            }
-
             function getTabCount() {
                 return repeater.model + 2 // + Shorts and Saved
             }
@@ -421,7 +396,7 @@
                     return false
                 }
             } // Repeater
-        }
+        } // Tabs
 
         // ******************************** Create Topic **********************///////////////
 
@@ -451,11 +426,11 @@
         // ******************************** Rss Feed Page ***********************///////////////
 
         RssFeedPage {
-            id: feedPage
+            id: articlePage
             visible: false
 
             Connections {
-                target: feedPage.articleView
+                target: articlePage.articleView
 
                 onArticleStatusChanged: {
                     tabstabs.updateStatusInModels(tagId, articleId, status)
@@ -480,6 +455,26 @@
         }
     } // PageStack
 
+    /* -------------------------- Utils ---------------------------- */
+
+    NetworkManager {
+        id: networkManager
+
+        onDownloadFinished: {
+            reloadViews(tagId)
+        }
+
+        onDownloadStarted: {
+            PopupUtils.open(refreshWaitDialogComponent, null)
+        }
+    }
+
+    OptionsKeeper {
+        id: optionsKeeper
+    }
+
+    /* -------------------------- Components ---------------------------- */
+
     Component {
         id: refreshWaitDialogComponent
 
@@ -499,17 +494,17 @@
                 objectName: "refreshCancel"
                 color: UbuntuColors.orange
                 onClicked: {
-                    xmlnetwork.cancelDownload()
+                    networkManager.cancelDownload()
                     PopupUtils.close(refreshWaitDialog)
                 }
             }
 
             Connections {
-                target: xmlnetwork
+                target: networkManager
 
                 onDownloadFinished: {
                     PopupUtils.close(refreshWaitDialog)
-                    if ( xmlnetwork.operationStatus === "withErrors" ) {
+                    if ( networkManager.operationStatus === "withErrors" ) {
                         PopupUtils.open(errorDialogComponent, appendFeedPage,
                                         {"text" : i18n.tr("Perhaps some of the channels have not been updated."),
                                             "title" : i18n.tr("Errors occurred during the update")})
@@ -584,42 +579,9 @@
         }
     } // Component
 
-    function reloadViews(tagId) {
-        // savedTab.reload() // Doesn't change with network update.
-        tagId = tagId || 0
-
-        if (tagId == 0 || !repeater.containsTopic(tagId)) {
-            shortsTab.reload()
-            repeater.reloadTabs()
-        } else {
-            shortsTab.reload()
-            repeater.reloadOneTopic(tagId)
-        }
-
-        tabstabs.selectTopic(tagId)
-    }
-
-    NetworkManager {
-        id: xmlnetwork
-
-        onDownloadFinished: {
-            reloadViews(tagId)
-        }
-
-        onDownloadStarted: {
-            PopupUtils.open(refreshWaitDialogComponent, null)
-        }
-    }
-
-    OptionsKeeper {
-        id: optionsKeeper
-    }
-
-    ////////////////////////////////////////////////////////////////////////
-    //////////// Connections for handling the modify topic and modify feed event
-    Connections
-    {
-        id: connAddTopic
+    /* -------------------------- Connections ---------------------------- */
+
+    Connections {
         target: createTopicPage
 
         onTopicAdded: {
@@ -627,19 +589,15 @@
         }
     }
 
-    Connections
-    {
-        id: connAddFeed
+    Connections {
         target: chooseTopicPage
 
         onTopicChoosen: {
-            xmlnetwork.updateFeeds(addedFeeds, topicId)
+            networkManager.updateFeeds(addedFeeds, topicId)
         }
     }
 
-    Connections
-    {
-        id: connEditTopicFeed
+    Connections {
         target: topicManagement
 
         onFeedEdit: {

